#!/bin/sh

# VZL defines
. ${VZA_TMPDIR}/opt/vzagent/install/etc/vzl_defines

# VZL functions.
. ${VZA_TMPDIR}/opt/vzagent/install/etc/vzl_functions

usage() {
	cat 1>&2 << EOF
Usage: $PROGNAME <veid>
EOF
	exit 1
}

VEID=$1
EID=

[ -n "$VEID" ] || usage

for i in `ls ${VZLCORE_ETC_DIR}/configs/`; do
	grep -q "veid>$VEID</" ${VZLCORE_ETC_DIR}/configs/$i || \
		continue
	EID=$i
	break;
done

[ -z "$EID" ] && { echo "VEID#$VEID is not found" >&2; exit 1; }

echo $EID
